[script]
n0=on *:TEXT:*:*:{
n1=if ((%lettres [ $+ [ $chan ] ] == $null)) set %lettres [ $+ [ $chan ] ] $len($1-)
n2=if ((%lettres [ $+ [ $chan ] ] != $null)) inc %lettres [ $+ [ $chan ] ] $len($1-)
n3=if ((%phrases [ $+ [ $chan ] ] == $null)) set %phrases [ $+ [ $chan ] ] 1
n4=if ((%phrases [ $+ [ $chan ] ] != $null)) inc %phrases [ $+ [ $chan ] ] 
n5=  if ((%lettres [ $+ [ $nick ] ] != $null)) { /inc %lettres [ $+ [ $nick ] ] $len($1-) }
n6=  if ((%lettres [ $+ [ $nick ] ] == $null)) { set %lettres [ $+ [ $nick ] ] $len($1-) }
n7=  if ((%phrases [ $+ [ $nick ] ] != $null)) { /inc %phrases [ $+ [ $nick ] ] }
n8=  if ((%phrases [ $+ [ $nick ] ] == $null)) { set %phrases [ $+ [ $nick ] ] 1 }
n9=}
n10=on *:action:*:*:{
n11=  if ((%actions [ $+ [ $nick ] ] == $null)) { set %actions [ $+ [ $nick ] ] 1 | halt }
n12=  if ((%actions [ $+ [ $nick ] ] != $null)) { /inc %actions [ $+ [ $nick ] ] | halt }
n13=}
